Create a plan subscription
curl --request POST \
--url https://b.anny.co/api/v1/plan-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"type": "<string>",
"attributes": {
"name": "<string>",
"description": "<string>",
"illustration_path": "<string>",
"price": 123,
"is_net_price": true,
"signup_fee": 123,
"currency": "<string>",
"trial_period": 123,
"trial_interval": "<string>",
"invoice_period": 123,
"invoice_interval": "<string>",
"grace_period": 123,
"grace_interval": "<string>",
"prorate_day": "<string>",
"prorate_period": "<string>",
"prorate_extend_due": "<string>",
"sort_order": 123,
"allow_switching": true,
"is_billable_offline": true,
"payment_fee_absolute": 123,
"payment_fee_relative": 123
},
"links": {},
"meta": {}
}
'import requests
url = "https://b.anny.co/api/v1/plan-subscriptions"
payload = {
"type": "<string>",
"attributes": {
"name": "<string>",
"description": "<string>",
"illustration_path": "<string>",
"price": 123,
"is_net_price": True,
"signup_fee": 123,
"currency": "<string>",
"trial_period": 123,
"trial_interval": "<string>",
"invoice_period": 123,
"invoice_interval": "<string>",
"grace_period": 123,
"grace_interval": "<string>",
"prorate_day": "<string>",
"prorate_period": "<string>",
"prorate_extend_due": "<string>",
"sort_order": 123,
"allow_switching": True,
"is_billable_offline": True,
"payment_fee_absolute": 123,
"payment_fee_relative": 123
},
"links": {},
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
type: '<string>',
attributes: {
name: '<string>',
description: '<string>',
illustration_path: '<string>',
price: 123,
is_net_price: true,
signup_fee: 123,
currency: '<string>',
trial_period: 123,
trial_interval: '<string>',
invoice_period: 123,
invoice_interval: '<string>',
grace_period: 123,
grace_interval: '<string>',
prorate_day: '<string>',
prorate_period: '<string>',
prorate_extend_due: '<string>',
sort_order: 123,
allow_switching: true,
is_billable_offline: true,
payment_fee_absolute: 123,
payment_fee_relative: 123
},
links: {},
meta: {}
})
};
fetch('https://b.anny.co/api/v1/plan-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "plans",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"plain_description": "<string>",
"currency": "<string>",
"price": 123,
"tax_rate": 123,
"is_net_price": true,
"invoice_period": 123,
"invoice_interval": "<string>",
"signup_fee": 123,
"trial_period": 123,
"allow_switching": true,
"minimum_term": 123,
"is_active": true,
"is_visible": true,
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"features": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"group": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"communities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"booking_quotas": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"legal_document_links": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Plans & Passes
Create a plan subscription
POST
/
api
/
v1
/
plan-subscriptions
Create a plan subscription
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Antwort
201 - application/vnd.api+json
Created
A subscription plan offering recurring access to services, communities, and booking quotas.
Show child attributes
Show child attributes
⌘I